Unit AM18C_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure AM18C(var A :Array of Complex; N :Integer; M :Integer;
                var B :Array of Complex);

implementation

procedure AM18C(var A :Array of Complex; N :Integer; M :Integer;
                var B :Array of Complex);
var
I,J :Integer;
R :Complex;
label
_1,_2,_3;
begin
I := N;
_1:
R := Cmplx(0.0,0.0);
for J:=I to M do
 begin
_2:
  R := AddC(R,MulC(A[(I-1)+(J-1)*N],B[J-1]));
 end;
for J:=I to M do
 begin
_3:
  B[J-1] := SubC(B[J-1],MulC(R,Conjg(A[(I-1)+(J-1)*N])));
 end;
I := I-1;
if ( I >= 1 ) 
 then goto _1;
end;

end.
